Bug 116493 - mail/websieve -- unbreak with appache22, etc.
Summary: mail/websieve -- unbreak with appache22, etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-20 22:31 UTC by Matthew Seaman
Modified: 2007-09-29 20:10 UTC (History)
0 users

See Also:


Attachments
websieve.diff (4.83 KB, patch)
2007-09-20 22:31 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2007-09-20 22:31:08 UTC
Drive-by cleanup and fix of an unmaintained port.

  * Add support for Cyrus IMAPd 2.3.x

  * Remove explicit dependence on Apache

  * Install into ${PREFIX}/www/websieve

  * Use the generic OPTIONS mechanism rather than some strange
    precursor to it.

Notes for committer:

  Files moved:   websive/pkg-message to websieve/files/pkg-message.in
  Files removed: websieve/options
Comment 1 Matthew Seaman 2007-09-23 10:44:14 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Matthew Seaman wrote:
>> Number:         116493
>> Category:       ports
>> Synopsis:       mail/websieve -- unbreak with appache22, etc.

This also needs an additional small patch to enable login to work:

% diff -Nu /dev/null websieve/files/patch-websieve.pl
- --- /dev/null   Sun Sep 23 10:41:45 2007
+++ websieve/files/patch-websieve.pl    Sun Sep 23 09:07:36 2007
@@ -0,0 +1,11 @@
+--- websieve.pl.orig   Sun Sep 23 09:00:55 2007
++++ websieve.pl        Sun Sep 23 09:04:57 2007
+@@ -640,7 +640,7 @@
+ #creates global variables $mode,@rules,@mailboxes,@quota and %vacation;
+ # get quota
+       @quota=&getquota("INBOX") if ($havequota || !$useprocmail);
+-      if ($IMAPERROR =~ /no errors/i && !$ismanager && $IMAPERROR) {
++      if ($IMAPERROR !~ /no errors/i && !$ismanager && $IMAPERROR) {
+               $error=$IMAPERROR;
+               &closeimap;
+               &closesieve;

	Cheers,

	Matthew

- -- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                  Kent, CT11 9PW
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFG9jVu8Mjk52CukIwRCAosAJ9i6YUtr7bCMx6uVrNm8pFgG93q6gCfe1v/
fXJDBCIBVJzw3Kpq7dfxYPo=
=bdu8
-----END PGP SIGNATURE-----
Comment 2 Alejandro Pulver freebsd_committer 2007-09-29 20:07:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 3 dfilter service freebsd_committer 2007-09-29 20:09:08 UTC
alepulver    2007-09-29 19:09:03 UTC

  FreeBSD ports repository

  Modified files:
    mail/websieve        Makefile pkg-plist 
  Added files:
    mail/websieve/files  patch-websieve.pl pkg-message.in 
  Removed files:
    mail/websieve        options pkg-message 
  Log:
  - Add support for Cyrus IMAPd 2.3.x
  - Remove explicit dependence on Apache.
  - Install into ${PREFIX}/www/websieve (${WWWDIR}).
  - Use the generic OPTIONS mechanism rather than some strange precursor to it.
  
  PR:             ports/116493
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk>
  
  Revision  Changes    Path
  1.12      +27 -24    ports/mail/websieve/Makefile
  1.4       +11 -0     ports/mail/websieve/files/patch-websieve.pl (new)
  1.1       +19 -0     ports/mail/websieve/files/pkg-message.in (new)
  1.2       +0 -17     ports/mail/websieve/options (dead)
  1.2       +0 -6      ports/mail/websieve/pkg-message (dead)
  1.2       +3 -2      ports/mail/websieve/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alejandro Pulver freebsd_committer 2007-09-29 20:09:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!